Bug 212682 - i386 and x86_64 versions of gstreamer conflict
i386 and x86_64 versions of gstreamer conflict
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
: 205212 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 20:09 EDT by Chris Petersen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 08:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2006-10-27 20:09:50 EDT
Description of problem:

The latest update of gaim wants to pull down the i386 version of gstreamer, but
I get file conflicts from rpm over the shared man page.

This prevents "yum update" from running on any 64 bit system.

Error message from yum:

file /usr/share/man/man1/gst-launch-0.10.1.gz from install of gstreamer-0.10.9-2
conflicts with file from package gstreamer-0.10.9-2

There doesn't seem to be a way for me to disable the i386 repo for core, which
would be my preferred fix so that it stops trying to pull down i386 packages for
files that don't need to be (like gaim).
Comment 1 John Thacker 2006-10-28 11:14:54 EDT
Well, if that's your preferred fix, you can remove the i386 version of gaim.  I
believe that FC6 installs both the i386 and x86_64 versions of gaim by default
on x86_64:

$ rpm -q gaim
gaim-2.0.0-0.17.beta4.fc6
gaim-2.0.0-0.17.beta4.fc6

So do rpm -e gaim.i386 and that will work.

However, I will note that this WORKSFORME.  My system updated gaim and both
versions of gstreamer-0-10.9-2 without problems.  That might be because it did
both at the same time; I don't know.
Comment 2 Chris Petersen 2006-10-28 13:23:57 EDT
I don't have both versions of gaim installed.  It appears that gstreamer was
being brought in sort of sideways through various other updates, and by
hand-picking x86_64 packages, it eventually went away as a dependency.

Perhaps this ticket should be reassigned to whoever develops rpm, since it
appears now to be more of a bug in the package subsystem than the gstreamer
package itself.

Comment 3 Adam Jackson 2007-01-29 12:24:51 EST
*** Bug 205212 has been marked as a duplicate of this bug. ***
Comment 4 Bastien Nocera 2007-02-01 08:45:13 EST
Try changing the "transaction colour" in your /etc/rpm/macros files to "3".

#       The default transaction color. This value is a set of bits to
#       determine file and dependency affinity for this arch.
#               0       uncolored (i.e. use only arch as install hint)
#               1       Elf32 permitted
#               2       Elf64 permitted
%_transaction_color     0

In any case, not a GStreamer bug.
Comment 5 Paul Nasrat 2007-02-01 09:00:49 EST
What is transaction color, and if you set as above does it work?
Comment 6 Panu Matilainen 2007-08-13 08:18:32 EDT
Closing due to lack of activity.

Note You need to log in before you can comment on or make changes to this bug.